Activity log for bug #1864904

Date Who What changed Old value New value Message
2020-02-26 18:03:11 Kamal Mostafa bug added bug
2020-02-26 18:03:15 Kamal Mostafa linux (Ubuntu): status New Confirmed
2020-02-26 18:03:16 Kamal Mostafa tags kernel-stable-tracking-bug
2020-02-26 18:03:17 Kamal Mostafa bug added subscriber SRU Verification
2020-02-26 18:03:19 Kamal Mostafa bug added subscriber Ubuntu Stable Release Updates Team
2020-02-26 18:03:24 Kamal Mostafa nominated for series Ubuntu Bionic
2020-02-26 18:03:25 Kamal Mostafa bug task added linux (Ubuntu Bionic)
2020-02-26 18:04:12 Kamal Mostafa linux (Ubuntu Bionic): status New In Progress
2020-02-26 18:04:13 Kamal Mostafa linux (Ubuntu Bionic): assignee Kamal Mostafa (kamalmostafa)
2020-02-26 18:06:55 Kamal Mostafa description SRU Justification Impact: The upstream process for stable tree updates is quite similar in scope to the Ubuntu SRU process, e.g., each patch has to demonstrably fix a bug, and each patch is vetted by upstream by originating either directly from a mainline/stable Linux tree or a minimally backported form of that patch. The following upstream stable patches should be included in the Ubuntu kernel: upstream stable patchset 2020-02-26 from git://git.kernel.org/ SRU Justification     Impact:        The upstream process for stable tree updates is quite similar        in scope to the Ubuntu SRU process, e.g., each patch has to        demonstrably fix a bug, and each patch is vetted by upstream        by originating either directly from a mainline/stable Linux tree or        a minimally backported form of that patch. The following upstream        stable patches should be included in the Ubuntu kernel:        upstream stable patchset 2020-02-26 Ported from the following upstream stable releases: v4.14.170, v4.19.101, v4.19.102        from git://git.kernel.org/ orinoco_usb: fix interface sanity check rsi_91x_usb: fix interface sanity check USB: serial: ir-usb: add missing endpoint sanity check USB: serial: ir-usb: fix link-speed handling USB: serial: ir-usb: fix IrLAP framing usb: dwc3: turn off VBUS when leaving host mode staging: most: net: fix buffer overflow staging: wlan-ng: ensure error return is actually returned staging: vt6656: correct packet types for CTS protect, mode. staging: vt6656: use NULLFUCTION stack on mac80211 staging: vt6656: Fix false Tx excessive retries reporting. serial: 8250_bcm2835aux: Fix line mismatch on driver unbind crypto: chelsio - fix writing tfm flags to wrong place ath9k: fix storage endpoint lookup brcmfmac: fix interface sanity check rtl8xxxu: fix interface sanity check zd1211rw: fix storage endpoint lookup arc: eznps: fix allmodconfig kconfig warning HID: ite: Add USB id match for Acer SW5-012 keyboard dock phy: cpcap-usb: Prevent USB line glitches from waking up modem watchdog: max77620_wdt: fix potential build errors watchdog: rn5t618_wdt: fix module aliases spi: spi-dw: Add lock protect dw_spi rx/tx to prevent concurrent calls drivers/net/b44: Change to non-atomic bit operations on pwol_mask net: wan: sdla: Fix cast from pointer to integer of different size gpio: max77620: Add missing dependency on GPIOLIB_IRQCHIP atm: eni: fix uninitialized variable warning PCI: Add DMA alias quirk for Intel VCA NTB usb-storage: Disable UAS on JMicron SATA enclosure net_sched: ematch: reject invalid TCF_EM_SIMPLE rsi: fix use-after-free on probe errors crypto: af_alg - Use bh_lock_sock in sk_destruct vfs: fix do_last() regression x86/resctrl: Fix use-after-free when deleting resource groups x86/resctrl: Fix use-after-free due to inaccurate refcount of rdtgroup x86/resctrl: Fix a deadlock due to inaccurate reference crypto: pcrypt - Fix user-after-free on module unload perf c2c: Fix return type for histogram sorting comparision functions PM / devfreq: Add new name attribute for sysfs tools lib: Fix builds when glibc contains strlcpy() arm64: kbuild: remove compressed images on 'make ARCH=arm64 (dist)clean' ext4: validate the debug_want_extra_isize mount option at parse time mm/mempolicy.c: fix out of bounds write in mpol_parse_str() reiserfs: Fix memory leak of journal device string media: digitv: don't continue if remote control state can't be read media: af9005: uninitialized variable printked media: gspca: zero usb_buf media: dvb-usb/dvb-usb-urb.c: initialize actlen to 0 ttyprintk: fix a potential deadlock in interrupt context issue Bluetooth: Fix race condition in hci_release_sock() cgroup: Prevent double killing of css when enabling threaded cgroup media: si470x-i2c: Move free() past last use of 'radio' ARM: dts: sun8i: a83t: Correct USB3503 GPIOs polarity ARM: dts: beagle-x15-common: Model 5V0 regulator soc: ti: wkup_m3_ipc: Fix race condition with rproc_boot mac80211: mesh: restrict airtime metric to peered established plinks clk: mmp2: Fix the order of timer mux parents ixgbevf: Remove limit of 10 entries for unicast filter list ixgbe: Fix calculation of queue with VFs and flow director on interface flap igb: Fix SGMII SFP module discovery for 100FX/LX. ASoC: sti: fix possible sleep-in-atomic qmi_wwan: Add support for Quectel RM500Q wireless: fix enabling channel 12 for custom regulatory domain cfg80211: Fix radar event during another phy CAC mac80211: Fix TKIP replay protection immediately after key setup wireless: wext: avoid gcc -O3 warning net: dsa: bcm_sf2: Configure IMP port for 2Gb/sec bnxt_en: Fix ipv6 RFS filter matching logic. ARM: dts: am335x-boneblack-common: fix memory size vti[6]: fix packet tx through bpf_redirect() scsi: fnic: do not queue commands during fwreset ARM: 8955/1: virt: Relax arch timer version check during early boot tee: optee: Fix compilation issue with nommu airo: Fix possible info leak in AIROOLDIOCTL/SIOCDEVPRIVATE airo: Add missing CAP_NET_ADMIN check in AIROOLDIOCTL/SIOCDEVPRIVATE r8152: get default setting of WOL before initializing qlcnic: Fix CPU soft lockup while collecting firmware dump powerpc/fsl/dts: add fsl,erratum-a011043 net/fsl: treat fsl,erratum-a011043 net: fsl/fman: rename IF_MODE_XGMII to IF_MODE_10G seq_tab_next() should increase position index l2t_seq_next should increase position index net: Fix skb->csum update in inet_proto_csum_replace16(). btrfs: do not zero f_bavail if we have available space perf report: Fix no libunwind compiled warning break s390 issue iio: st_gyro: Correct data for LSM9DS0 gyro net_sched: fix ops->bind_class() implementations HID: Add quirk for Xin-Mo Dual Controller HID: Add quirk for incorrect input length on Lenovo Y720 phy: qcom-qmp: Increase PHY ready timeout platform/x86: dell-laptop: disable kbd backlight on Inspiron 10xx sched/fair: Add tmp_alone_branch assertion sched/fair: Fix insertion in rq->leaf_cfs_rq_list random: try to actively add entropy rather than passively wait for it block: cleanup __blkdev_issue_discard() block: fix 32 bit overflow in __blkdev_issue_discard() media: vp7045: do not read uninitialized values if usb transfer fails tomoyo: Use atomic_t for statistics counter tools lib traceevent: Fix memory leakage in filter_event parisc: Use proper printk format for resource_size_t riscv: delete temporary files ARM: dts: am43x-epos-evm: set data pin directions for spi0 and spi1 UBUNTU: upstream stable to v4.14.170, v4.19.102
2020-03-06 07:35:27 Khaled El Mously linux (Ubuntu Bionic): status In Progress Fix Committed
2020-04-06 16:52:57 Launchpad Janitor linux (Ubuntu Bionic): status Fix Committed Fix Released
2020-04-06 16:52:57 Launchpad Janitor cve linked 2020-8834